<template>
  <basic-container>
    <avue-crud ref="crud"
               v-model="form"
               :data="data"
               :option="option"
               :page.sync="page"
               @on-load="getList"
               @row-update="rowUpdate"
               @row-save="rowSave"
               @row-del="rowDel"
               @refresh-change="refreshChange"
               @search-reset="searchChange"
               @search-change="searchChange">
      <template slot-scope="scope" slot="defaultForm">
        <enupackage></enupackage>
      </template>
    </avue-crud>
  </basic-container>
</template>

<script>


export default {
  name: "enumeration.vue",
  data() {
    return {
      form: {},
      page: {
        pageSize: 10,
        currentPage: 1,
        total: 100
      },
      packageSettingBox:false,
      data:[
        {
          name:"1",
          tag:"1",
          back:"1"
        },
        {
          name:"2",
          tag:"2",
          back:"2"
        },
        {
          name:"3",
          tag:"3",
          back:"3"
        }
      ],
      option: {
        headerAlign: 'center',
        align: 'center',
        border: true,
        index: true,
        tabs:true,
        rowKey:'id',
        searchMenuSpan:8,
        column:[
          {
            label:"枚举名称",
            prop:"name",
            display:false,
            search:true,
          },
          {
            label: "标签",
            prop:"tag",
            display:false
          },
          {
            label: "返回类型",
            prop:"back",
            display:false
          },

        ],
        group:[
          {
            label:"枚举信息",
            prop:"Information",
            column:[
              {
                label:"名称",
                prop:"name",
              },
              {
                label:"标签",
                prop:"tag",
              },
              {
                label:"类型",
                prop:"back",
              },
              {
                label:"长度",
                prop:"length",
              }
            ]
          },
          {
            label: "枚举项",
            prop:"InformItem",
            column: [
              {
                //默认插槽
                prop:"default",
                span:24,
                labelWidth:5

              }
            ]
          }
        ]
      }
    }
  },
  methods: {
    onebtn(){
        this.packageSettingBox=true
    },
    // getList() {
    //   this.loading = true;
    //   const data = Object.assign({
    //     pageNum: this.page.currentPage,
    //     pageSize: this.page.pageSize,
    //   }, this.params)
    //   this.data = [];
    //   getList(data).then(res => {
    //     const data = res.data.data
    //     this.loading = false;
    //     this.page.total = data.total;
    //     const result = data.list;
    //     this.data = result;
    //   })
    // },
    rowSave(row, done, loading) {
      add(Object.assign({
        createUser: this.userInfo.name
      }, row)).then(() => {
        this.$message.success('新增成功')
        done();
        this.getList();
      }).catch(() => {
        loading()
      })
    },
    rowUpdate(row, index, done, loading) {
      update(Object.assign({
        updateUser: this.userInfo.name
      }, row)).then(() => {
        this.$message.success('修改成功')
        done()
        this.getList();
      }).catch(() => {
        loading()
      })
    },
    rowDel(row) {
      this.$confirm('此操作将永久删除, 是否继续?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        return del(row.id)
      }).then(() => {
        this.$message.success('删除成功')
        this.getList();
      })
    },
    searchChange(params, done) {
      if (done) done();
      this.params = params;
      this.page.currentPage = 1;
      this.getList();
      this.$message.success('搜索成功')
    },
    refreshChange() {
      this.getList();
      this.$message.success('刷新成功')
    }
  }

}
</script>

<style lang="scss">

</style>
